/**
 * @file
 * Do not let videos be played until accept Onetrust cookies.
 */

(function (Drupal) {

  'use strict';

  if (typeof(Drupal.youtubeCookies) === 'undefined') {
    Drupal.youtubeCookies = {};
  }

  /**
   * Informs whether youtube specific cookies are accepted or not.
   *
   * @returns {boolean}
   *   True when youtube cookies are accepted.
   */
  Drupal.youtubeCookies.euCookieComplianceCookiesAccepted = function() {
    return Drupal.eu_cookie_compliance.hasAgreedWithCategory(drupalSettings.youtubeCookies.cookieCategory);
  };

  /**
   * Setup youtube cookies integration for EU cookie compliance.
   */
  Drupal.youtubeCookies.setupEuCookieCompliance = function() {
    console.log('SETUP');
    Drupal.youtubeCookies.setup(Drupal.youtubeCookies.euCookieComplianceCookiesAccepted());
  };

  /**
   * Behavior description.
   */
  Drupal.behaviors.youtubeCookiesEuCookieCompliance = {
    attach: function (context, settings) {
      Drupal.youtubeCookies.setupEuCookieCompliance();
      console.log('HELLO!');
      jQuery(document).on('eu_cookie_compliance.changePreferences', function (event, categories) {
        Drupal.youtubeCookies.setupEuCookieCompliance();
      });
    }
  };

} (Drupal, jQuery));
